Android Verified Boot 2.0 и ограниченията, произтичащи от него

 
Android Verified Boot 2.0

Има потребители, които предпочитат по-стари версии на Android пред новите, като Android Pie например. А също обичат да експериментират, връщайки по-стари версии, независимо че се лишават от по-новите кръпки за сигурност (security patches). От Google обаче решиха да сложат край на това.

Телефоните, които идват преинсталирани с Android 9 и по-нов, задължително са с интегриран Android Verified Boot 2.0. AVB 2.0 е интегриран и в някои телефони, преинсталирани с Android 8, но OEM производителите все още не бяха длъжни да го внедряват в Oreo версията.

Android Verified Boot 2.0 предотвратява стартирането на телефона с по-стар rollback image, тоест ако устройството е понижено до по-ранна версия на софтуера, която се смята за уязвима. С други думи, потребител с телефон, работещ с Android 8.1 и с интегриран AVB, няма да може да инсталира отново 8.0.

При Meizu смартфоните функцията AVB 2.0 е внедрена с Android 9. Тоест, потребителите с Flyme интерфейс, базиран на Android 8 и по-стар, могат спокойно да връщат по-стари версии на Flyme, ако текущата не ги устройва. Също така могат безпроблемно да сменят глобалния с китайски фърмуер и обратно. Но собствениците на Meizu телефони с Flyme, базиран на Android 9 (първият от които е Meizu Note 9), не могат да правят това. И въпреки че Android версията е същата, тук ключова е датата на секюрити пача. Ако сте преминали например на китайския фърмуер, можете да се върнете към глобалния, едва когато излезе глобална версия с по-нов секюрити пач от този на текущата версия в телефона ви.

Security patch version outdated

Също заради изискванията на Google за сигурност на телефоните, в глобалния Flyme 7 е премахнат вграденият root, за който се счита, че прави телефона уязвим. При китайския фърмуер той още е наличен, но при повечето модели е необходимо да се изиска одобрение от Meizu, като се посочат причините за рутване.

Въпреки добрите намерения на Google, това най-вероятно ще рефлектира върху желаещите да стават бета тестери. Ако бета версията, която сте инсталирали да тествате, по някаква причина създава проблеми на телефона Ви, не можете по никакъв начин да направите downgrade, а трябва да се надявате, че следващата бета или стабилна версия ще излезе скоро.


Вашият коментар

Вашият имейл адрес няма да бъде публикуван. Задължителните полета са отбелязани с *